org.apache.ignite.internal.processors.cache.jta

## Class CacheJtaManagerAdapter

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheManagerAdapter
  - - org.apache.ignite.internal.processors.cache.jta.CacheJtaManagerAdapter

All Implemented Interfaces:
  GridCacheManager

Direct Known Subclasses:
  CacheNoopJtaManager

    public abstract class CacheJtaManagerAdapter
    extends GridCacheManagerAdapter

Provides possibility to integrate cache transactions with JTA.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheManagerAdapter

`cctx, log`

### Constructor Summary

Constructors
Constructor and Description
`CacheJtaManagerAdapter()`

### Method Summary

Methods
`abstract void` `checkJta()` Checks if cache is working in JTA transaction and enlist cache as XAResource if necessary.
`abstract void` `createTmLookup(CacheConfiguration ccfg)` Creates transaction manager finder.
`abstract Object` `tmLookup()` Gets transaction manager finder.

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheManagerAdapter

`context, kernalStartInfo, kernalStopInfo, log, onKernalStart, onKernalStart0, onKernalStop, onKernalStop0, printMemoryStats, start, start0, startInfo, stop, stop0, stopInfo, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheJtaManagerAdapter

    public CacheJtaManagerAdapter()

### Method Detail

#### createTmLookup

    public abstract void createTmLookup(CacheConfiguration ccfg)
                                 throws IgniteCheckedException

Creates transaction manager finder.

Parameters:
  `ccfg` - Cache configuration.
Throws:
  `IgniteCheckedException` - If failed.

#### checkJta

    public abstract void checkJta()
                           throws IgniteCheckedException

Checks if cache is working in JTA transaction and enlist cache as XAResource if necessary.

Throws:
  `IgniteCheckedException` - In case of error.

#### tmLookup

    @Nullable
    public abstract Object tmLookup()

Gets transaction manager finder. Returns Object to avoid dependency on JTA library.

Returns:
  Transaction manager finder.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015